# Drift camera for Rigs of Rods
 This script adds a new camera mode to Rigs of Rods, specifically designed for drifting.
 
 ## Installation
 
 Download/clone this repo and copy `driftcam.as` to your Rigs of Rods scripts folder (you can find it aside the mods folder, `~/.rigsofrods/scripts` under Linux or `My Games\Rigs of Rods\scripts` under Windows).

## Usage
 
 Open the game console (top bar > Tools > Show console), then type in `loadscript driftcam.as`.
 
 The mod will then stay enabled until you close Rigs of Rods or you stop it with the Script Monitor in the console.
 
 Do not press `C` (change camera) while using this mod, it will only mess up with audio and change the camera field of view.
 
 This mod doesn't have any effect when on feet.
 You can't change the camera position (yet).
 
 ## Known issues and limitations
 
 - The camera can sometimes be a bit jittery at low speeds
 - Due to [a Rigs of Rods bug](https://github.com/RigsOfRods/rigs-of-rods/issues/3173), it can't detect keypresses, thus making camera controls or a toggleable GUI impossible.
 - Only works on Rigs of Rods dev builds.
 - Sound isn't captured by the camera position
 
 ## Contributing
 
 Help me make this mod better! You don't necessarily need to code, you can simply report bugs on the Codeberg repository.
 
 Please note i will not accept contributions under a different license than the project itself.
